<?php
//通过计划任务每日删除过期已经超过90天的域名
use Illuminate\Database\Capsule\Manager as Capsule;
function check_domain_expiry($vars)
{

//域名到期超过多少天才删除?
$howlong = "90";

//设定基准时间
$time = time();

//确认开启删除域名?
$reallydelete = TRUE;

if (!empty($graceperiod))
{
	//get the corrected date
	$graceperiod = $graceperiod  * 24 * 60 * 60;
	$todelete = $time - $graceperiod;
}
logActivity("Checking domains\n");
foreach (Capsule::table('tbldomains')->WHERE ('status', '=', 'Expired') ->get() as $domainrow) {
	$domid = $domainrow->id;
	$domname = $domainrow->domain;
	$expirydate = $domainrow->expirydate;
	if ($expirydate > $todelete)
	{
		if (!$reallydelete)
		{
			logActivity("I would delete $domname [$expirydate]\n");
		}
		if ($reallydelete)
		{
			Capsule::table('tbldomains')->where('id', '=', $domid)->delete();
			logActivity("Cron deleted $domname [$expirydate]\n");
		}
	}
}

logActivity ("Done checking domains\n");

}



//添加每日运行的cron
add_hook('DailyCronJob', 1, check_domain_expiry );

?>